"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useBooleanField = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _useFormField = require("../useFormField");

var useBooleanField = function useBooleanField() {
  var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var initial = arguments.length > 1 ? arguments[1] : undefined;
  var initialValue;

  if (initial !== undefined) {
    initialValue = initial;
  } else if (args.value !== undefined) {
    initialValue = args.value;
  } else {
    initialValue = false;
  }

  var valueFromTarget = function valueFromTarget(target) {
    return target.checked;
  };

  var result = (0, _useFormField.useFormField)(initialValue, (0, _objectSpread2.default)({}, args, {
    valueFromTarget: valueFromTarget
  }));
  result.props.checked = result.props.value;
  return result;
};

exports.useBooleanField = useBooleanField;