"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.coerceDataToImmutable = void 0;

var _immutable = require("immutable");

var coerceDataToImmutable = function coerceDataToImmutable(data) {
  return isPlainObject(data) || Array.isArray(data) ? (0, _immutable.fromJS)(data) : data;
};

exports.coerceDataToImmutable = coerceDataToImmutable;

var isPlainObject = function isPlainObject(data) {
  return data && (data.constructor && data.constructor.name === 'Object' || data.constructor === undefined);
};