"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useBrixWorker = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _useBrix3 = require("./useBrix");

var _useWorker = require("./useWorker");

var _BrixProvider = require("./BrixProvider");

var useBrixWorker = function useBrixWorker(path, worker, notSetValue) {
  var transformer = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : function (v) {
    return v;
  };

  var _useBrix = (0, _useBrix3.useBrix)(path),
      _useBrix2 = (0, _slicedToArray2.default)(_useBrix, 2),
      value = _useBrix2[0],
      set = _useBrix2[1];

  var _useContext = (0, _react.useContext)((0, _BrixProvider.getBrixContext)()),
      state = _useContext.state;

  if (value === undefined) {
    var getState = function getState() {
      return state;
    };

    var result = (0, _useWorker.useWorker)(path, function () {
      return worker(getState);
    });
    var safeResult = result == null ? notSetValue : result;
    set(transformer(safeResult));
    return notSetValue;
  }

  return value;
};

exports.useBrixWorker = useBrixWorker;